var VKAppApi = new Class({
	Call: function(method, params, handler, bind)
	{
		handler = handler || function(){};

		if(!devMode)
		{
			VK.api(method, params, function(data){this.Receive(data, handler, method, bind)}.bind(this));
		}
	},
	Receive: function(data, handler, method, bind)
	{
		if(typeOf(data.error) == 'object')
		{
			console.error('API.' + method + ':' + data.error.error_msg);
			handler.bind(bind, []);
		}
		else
		{
			if(data.response.length)
			{
				console.log('API.' + method + ': ' + data.response.length + ' item' + ((data.response.length - 1) % 10 == 0 ? '' : 's'));
				handler.bind(bind, data.response)();
			}
			else if(data.response)
			{
				console.log('API.' + method + ': ' + data.response);
				handler.bind(bind, data.response)();
			}
			else
			{
				console.error('API.' + method + ': Empty response');
				console.log(data);
			}
		}

		return true;
	}
});