var VKAppBase = new Class
({
	title : '',
	id : 0,
	iframeUrl: '',
	pages: [],
	itemsPerPage: 5,
	url: '', //Dirty hack!
	viewer_id: 0,

	initialize : function(settings)
	{
		document.getElement('base').href = this.iframeUrl;
		//Applying settings
		//var self = this;
		Object.each(settings, function(value, key){this[key] = value;}.bind(this));

		/*For some reason navigation must be created first*/
		this.GetObject('navigation');
		this.GetObject('menu');

		//Set up user data first.
		this.GetObject('api').Call('getVariable',{key: 1280}, function(viewer_id)
		{
			this.viewer_id = viewer_id;

			this.navigation.LoadPages(this.pages);
			this.navigation.currentPage = this.navigation.defaultPage = this.navigation.GetDefaultPage();
			this.menu.BuildMenu();

			if(!devMode)
			{
				this.navigation.LoadUrl(this.url);
				//this.navigation.LoadUrl('debug');
			}
		}.bind(this));

		//Hide popups if esc pressed
		document.addEvent('keydown', function(e){if(e.key == 'esc'){document.id('popup').setStyle('display', 'none');}});

		/*
		this.GetObject('api').Call('isAppUser',{}, function(data)
		{
			//User installed app
			if(data == 1)
			{
				//document.id('body').setStyle('display', '');
			}
			//Who are you?
			else
			{
				console.log('Not registered');
				this.GetObject('api').Call('showInstallBox');
			}
		}.bind(this));
		*/



		//this.GetObject('api').Call('showInstallBox');

		//this.navigation.LoadUrl('');
		//this.navigation.LoadPages(this.pages);
	},
	GetObject: function(objName)
	{
		if(typeOf(this[objName]) !== 'object')
		{
			this.CreateObject(objName);
		}

		return this[objName];
	},
	CreateObject: function(objName)
	{
		var realObjName = 'VKApp' + objName.capitalize();

		if(typeOf(window[realObjName]) == 'class')
		{
			//console.log('Creating object ' + realObjName);
			this[objName] = new window[realObjName](this);
			this[objName].base = this;

			return this[objName];
		}
		else
		{
			return false;
		}
	},
	Implode: function(arr)
	{
		if(typeOf(arr) != 'array' || arr.length == 0)
		{
			return '';
		}

		var idsStr = '';

		arr.each(function(id){
			idsStr += id + ',';
		});

		return idsStr.substr(0, idsStr.length-1);
	},
	FixHeight: function()
	{
		var menuHeight = document.id('menubar').getSize().y;
		var summaryBarHeight = document.id('summaryBar').getSize().y;
		var summaryBarBottomHeight = document.id('summaryBarBottom').getSize().y;

		var tableHeight = this.height - menuHeight - summaryBarHeight - summaryBarBottomHeight - 21;

		document.id('mainTable').setStyle('height', tableHeight);
		document.id('mainPanel').setStyle('height', tableHeight);
		document.id('sidePanel').setStyle('height', tableHeight);
	}
});