var VKAppControlFilter = new Class({
	Extends: VKAppControlsCollection,
	itemClass: 'VKAppControlFilterItem',
	BuildElement: function()
	{
		var element = new Element('div');

		this.controls.each(function(control)
		{
			element.adopt(control.Get());
		});

		return element;
	}
});

var VKAppControlFilterItem = new Class({
	Extends: VKAppControl,
	selected: false,
	bool: false,
	Highlight: function()
	{
		this.element.addClass('side_filter_over');
	},
	Unhighlight: function()
	{
		this.element.removeClass('side_filter_over');
	},
	Activate: function()
	{
		this.element.addClass('side_filter_selected');
	},
	Deactivate: function()
	{
		this.element.removeClass('side_filter_selected');
	},
	BuildElement: function()
	{
		return new Element('div', {'class': 'side_filter', 'text': this.value});
	}
});