var VKAppMenu = new Class
({
	//navigation: null,
	initialize: function()
	{
	},
	GetMessagesString: function(page)
	{
		if(page.events > 0)
		{
			return ' (<strong>' + page.events + '</strong>)';
		}
		else
		{
			return '';
		}
	},
	UpdateMessages: function(page, num)
	{
		if(!page.active || !page.menuItem)
		{
			return false;
		}

		var el = document.id(page.id+'Messages');

		if(el)
		{
			if(num == 0 || page.current)
			{
				el.innerHTML = page.title;
			}
			else
			{
				el.empty();
				el.innerHTML = page.title + ' (<strong>' + num + '</strong>)';
			}
		}

		return true;
	},
	SelectPage: function(currentPage)
	{
		//var self = this;

		this.base.GetObject('navigation').pages.each(function(page, id){
			if(page.menuItem)
			{
				if(page.active)
				{
					if(page.current)
					{
						this.UpdateMessages(page, 0)
						var className = 'activeLink';
					}
					else
					{
						if(page.providesEvents)
						{
							this.base.GetObject('request').OnSuccess = function(num){this.UpdateMessages(page, num)}.bind(this);
							this.base.GetObject('request').Call('GetPageEvents', {'page':id});
						}

						var className = '';
					}
				}
				else
				{
					var className = 'inactive';
				}

				document.id(page.id).set('class', className);
			}
		}, this);

		return true;
	},
	BuildMenu: function()
	{
		var ul = document.id('menulist');

		this.base.GetObject('navigation').pages.each(function(page, index)
		{
			//Not a menu item
			if(!page.menuItem)
			{
				return false;
			}

			var pageMessages = '';
			//Setting page messages. Calling optional child method, it should do all the work. And only if current page is accessable
			if(page.active)
			{
				pageMessages = this.GetMessagesString(page);
			}

			var a = this.base.GetObject('navigation').BuildLink(
			'<b class="tl1">\
				<b></b>\
			</b>\
			<b class="tl2"></b>\
			<b class="tab_word" id="'+page.id+'Messages">'+page.title + pageMessages +'</b>',
			this.base.GetObject('navigation').GetDefaultUrl(page)
			);

			var li = new Element('li', {id : page.id});

			if(!page.active)
			{
				li.addClass('inactive');
			}

			a.inject(li);
			li.inject(ul);
		}, this);

		var tabsDiv = document.id('menubar');

		ul.inject(tabsDiv);

		tabsDiv.inject(document.body, 'top');
	},
	SetPageStatus: function()
	{
	}
});