var VKAppRequest = new Class
({
	params: {},
	method: null,
	SetParam: function(param, value)
	{
		this.params[param] = value;
	},
	OnSuccess: function()
	{
	},
	OnFailure: function()
	{
	},
	Call: function(method, useTotal)
	{
		//In case this class is used directly
		method = method || this.method;

		this.method = method;

		//Applying system params
		var paramsObject = Object.merge(this.params, {action: this.method, page: this.base.GetObject('pagination').currentPage});

		this.ShowProcess();

		var self = this;

		var totalItems = 1;

		var req = new Request.JSON({
			url: this.base.iframeUrl + '/server.php',
			//link: 'cancel',
			onSuccess: function(result)
			{
				if(typeof(result.error) == 'string')
				{
					console.error('Request.' + self.method + ': ' + result.error);
				}
				else if(typeof(result.totalItems) !== 'undefined')
				{
					if(result.totalItems > 0)
					{
						console.log('Request.' + self.method + ': ' + result.data.length + ' of ' + result.totalItems + ' item(s)');
						console.log(result.data);
					}
					else
					{
						console.log('Request.' + self.method + ': Empty responce');
					}

					if(useTotal == true)
					{
						self.base.navigation.currentPage.statusBar.totalItems = result.totalItems;
						self.base.navigation.currentPage.statusBar.Reset();
						self.base.navigation.currentPage.statusBar.OnLoad();
					}

					self.base.GetObject('pagination').totalItems = result.totalItems;
					self.base.GetObject('pagination').Build();

					totalItems = result.totalItems;
					result = result.data;

					self.OnSuccess(result, totalItems);
				}
				else
				{
					console.log('Request.' + self.method);
					console.log(result);
					self.OnSuccess(result);
				}

				self.HideProcess();
			},
			onFailure: function(xhr)
			{
				self.HideProcess();
				console.error('Call '+self.method+' failed');
				console.log(xhr);
				console.log(paramsObject);
				self.OnFailure(xhr);
			},
			onComplete: function()
			{

				self.HideProcess();
			},
			onCancel: function()
			{
				self.HideProcess();
			}
		});

		req.get(paramsObject);

		return true;
	},
	ShowProcess: function()
	{
		document.id('progressTop').setStyle('display', 'block');
		document.id('progressBottom').setStyle('display', 'block');
	},
	HideProcess: function()
	{
		document.id('progressTop').setStyle('display', 'none');
		document.id('progressBottom').setStyle('display', 'none');
	}
});