var VKAppRequestRelations = new Class
({
	Extends: VKAppRequest,
	method: 'getRelations',
	/*
	initialize: function(base)
	{
	//this.SetParams({type: 1,status: 1});
	},
	*/
	OnSuccess: function(users, total)
	{
		if(users.length == 0)
		{
			return false;
		}

		var users_ids = [];
		Object.each(users, function(u){users_ids.push(u.user_id)});

		this.base.GetObject('api').Call('getProfiles', {uids: this.base.Implode(users_ids), fields: 'photo_medium,first_name,nickname'}, function(items)
		{
			//build relations
			items.each(function(item, i)
			{
				//Get data for each user
				item = Object.merge(users[users_ids.indexOf(item.uid + '')], item);

				//Create template here and insert all data at once
				var div = new Element('div', {'class':'relation'});

				//Image
				var imgContainer = new Element('div', {'class':'imageContainer'});
				div.adopt(imgContainer);

				var im = new Element('img', {'src': item.photo_medium});

				var imLink = this.base.navigation.BuildLink(im, 'relations/' + item.uid + '/' + this.base.navigation.GetUrlPart(2), {}, {'font-weight':'bold'});

				imgContainer.adopt(imLink);

				//console.log(im.height);

				//im.setStyle('position', 'relative');
				//im.setStyle('top', (100 - im.height ) / 2);

				//Info container
				var infoContainer = new Element('div', {'class':'info'});
				var dl = new Element('dl'/*, {'class':'clearFix'}*/);
				infoContainer.adopt(dl);


				dl.adopt(new Element('dt', {'text': 'Имя:'}));
				var dd = new Element('dd');
				dd.adopt(new Element('a', {href: 'http://vkontakte.ru/id'+item.uid, 'text': item.first_name + ' ' + item.nickname, target:'_blank'}));
				dl.adopt(dd);

				dl.adopt(new Element('dt', {'text': 'Связей:'}));
				var dd = new Element('dd');

				if(item.relations > 0)
				{
					dd.adopt(this.base.navigation.BuildLink(item.relations, 'relations/' + item.uid + '/' + this.base.navigation.GetUrlPart(2), {}, {'font-weight':'bold'}));
				}
				else
				{
					dd.set('text', 'Нет');
					dd.setStyle('color', 'Gray');
				}

				dl.adopt(dd);

				dl.adopt(new Element('dt', {'text': 'Слухов:'}));
				var dd = new Element('dd');

				if(item.rumors > 0)
				{
					dd.adopt(this.base.navigation.BuildLink(item.rumors, 'rumors/' + item.uid + '/' + this.base.navigation.GetUrlPart(2), {}, {'font-weight':'bold'}));
				}
				else
				{
					dd.set('text', 'Нет');
					dd.setStyle('color', 'Gray');
				}

				dl.adopt(dd);

				dl.adopt(new Element('dt', {'text': 'Симпатия:'}));
				var dd = new Element('dd', {text: item.sympathy, styles: {'font-weight':'bold'}});
				dl.adopt(dd);

				div.adopt(infoContainer);

				//Add relation button
				//This has to be privacy drop box to add relation to current user only




				/*
				тупые названия кнопок:
				Должно быть две кнопки:	добавить пользователя в мои связи и добавить пользователя в чужие связи
				Сделать один прайваси селект: Мы не связаны/Прошлая связь/Текущая связь/Желаемая связь
				*/


				var infoContainer = new Element('div', {'class':'info'});

				var dl = new Element('dl');
				infoContainer.adopt(dl);
				dl.adopt(new Element('dt', {'text': 'Моя связь:'}));


				//var buttons = new Element('div', {'class':'relation_buttons'});
				var relationType = new VKAppControlSelect
				({
					width: 72,
					/*readonly: true,*/
					data:
					[
					{value:'Отсутствует',id: 0},
					{value:'Прошлая',id: 1, selected: true},
					{value:'Текущая',id: 2},
					{value:'Желаемая',id: 3}
					]
				}).Get();

				var dd = new Element('dd');
				dd.adopt(relationType);
				dl.adopt(dd);

/*
				dl.adopt(new Element('dt', {'text': 'Друзья:'}));
				var dd = new Element('dd');
				var addRel = this.base.navigation.BuildLink('Добавить связь', function(){console.log('popup!')}, {'class':'add_friend_relation'});
				dd.adopt(addRel);
				dl.adopt(dd);

*/

/*				var addRel = this.base.navigation.BuildLink('Добавить связь', function(){console.log('popup!')}, {'class':'add_friend_relation'});
				buttons.adopt(addRel);
*/
				div.adopt(infoContainer);






				/*
				Имя, Ник
				картинка			Связей	2 		Добавить связь
				Слухов	3		Выразить симпатию
				Симпатия 94
				*/


				this.base.navigation.currentPage.form.AppendContent(div);
			}, this);
		}, this);
	}
});