var VKAppStatusBarRelations = new Class
({
	Extends: VKAppStatusBar,
	titleTemplate: 'У {user} {total} {relation_type} {item}',
	itemsWords: ['связь', 'связи', 'связей'],
	OnLoad: function()
	{
		//Check the user field first!!

		var user_id = this.base.navigation.GetUrlPart(1);

		var typeName = this.base.navigation.currentPage.form.fields.type.GetValue();

		if(this.totalItems-1 % 10 == 0)
		{
			typeName = typeName.substring(0, typeName.length-2).toLowerCase() + 'ая';
		}
		else
		{
			typeName = typeName.substring(0, typeName.length-1).toLowerCase() + 'х';
		}




		if(user_id != this.base.viewer_id)
		{
			this.base.GetObject('api').Call('getProfiles', {uids: user_id, fields: 'first_name', name_case: 'gen'}, function(data)
			{
				this.ReplaceTitleVars({user: data[0].first_name, relation_type: typeName});
			}.bind(this));
		}
		else
		{
			this.ReplaceTitleVars({user: 'вас', relation_type: typeName});
		}

		var addLink = this.base.navigation.BuildLink('Добавить ' + this.itemsWords[0], function()
		{
			//this.base.GetObject('popupAddRelation').Reset();
			this.base.GetObject('popupAddRelation').Show();
		}.bind(this));

		this.AddElement(addLink);
	}
});