var VKAppPagination = new Class
({
	pageObject: null,
	currentPage : 1,
	totalPages : 1,
	//itemsPerPage : this.base.itemsPerPage,
	totalItems : 0,
	requestParams: {},
	Reset: function()
	{
		this.Hide();

		this.pageObject = null;
		this.currentPage = 1;
		this.totalPages = 1;
		this.totalItems = 0;
		this.requestParams = {};

		return true;
	},
	Hide: function()
	{
		document.id('pagesTop').setStyle('display', 'none');
		document.id('pagesBottom').setStyle('display', 'none');
	},
	Build: function()
	{
		this.BuildItem('pagesTopList');
		this.BuildItem('pagesBottomList');
	},
	BuildItem : function(el)
	{
		var ul = document.id(el);

		this.totalPages = Math.ceil(this.totalItems / this.base.itemsPerPage);

		if(typeOf(ul) !== 'element')
		{
			return false;
		}

		if(this.totalPages == 1)
		{
			document.id('pagesTop').setStyle('display', 'none');
			document.id('pagesBottom').setStyle('display', 'none');
		}
		else
		{
			document.id('pagesTop').setStyle('display', 'block');
			document.id('pagesBottom').setStyle('display', 'block');
		}

		ul.empty();

		var self = this;

		var startArrows = false;
		var endArrows = false;

		//console.log('Current page: ' +this.currentPage);

		if(this.currentPage - 2 > 0)
		{
			var start = this.currentPage - 2;

			if(start > 1)
			{
				var startArrows = true;
			}
		}
		else
		{
			var start = 1;
		}

		if(this.currentPage + 2 < this.totalPages)
		{
			var end = this.currentPage + 2;

			if(end < this.totalPages)
			{
				var endArrows = true;
			}
		}
		else
		{
			var end = this.totalPages;
		}

		var curPage = 1;

		if(startArrows)
		{
			var a = this.base.navigation.BuildLink('«', this.base.navigation.currentUrl + '/' + 1);
			a.removeEvents('click');
			a.addEvent('click', function(){this.LoadPaginationPage(1); return false;}.bind(this));

			var li = new Element('li');
			li.adopt(a);
			ul.adopt(li);
		}

		for(curPage=start; curPage<=end; curPage++)
		{
			var li = new Element('li');

			if(curPage == this.currentPage)
			{
				li.addClass('current');
				li.set('html', curPage);
			}
			else
			{
				var a = this.base.navigation.BuildLink(curPage + '', this.base.navigation.currentUrl + '/' + curPage);
				a.removeEvents('click');
				a.addEvent('click', function(curPage){return function(){self.LoadPaginationPage(curPage); return false;}}(curPage));
				li.adopt(a);
			}
			ul.adopt(li);
		}

		if(endArrows)
		{
			var li = new Element('li');
			var a = this.base.navigation.BuildLink('»', this.base.navigation.currentUrl + '/' + this.totalPages);

			a.removeEvents('click');
			a.addEvent('click', function(){this.LoadPaginationPage(self.totalPages); return false;}.bind(this));
			//addEvent(a, 'click', function(){self.LoadPaginationPage(self.totalPages); return false;});
			li.adopt(a);
			ul.adopt(li);
		}
	},
	LoadPaginationPage : function(page)
	{
		document.id('mainPanel').empty();
		document.id('sidePanel').empty();

		console.log('Loading pagination page: ' + page);
		this.currentPage = page;
		this.base.navigation.currentPage.OnLoad();

		//this.BuildPagination('pagesTopList');
		//this.BuildPagination('pagesBottomList');
		//this.GeneratePage();
	}
});