var VKAppStatusBar = new Class
({
	totalItems: 0,
	titleTemplate: 'У {user} {total} {item}',
	itemsWords: ['элемент', 'элемента', 'элементов'],
	initialize: function(base)
	{
		//delete container if it exists already
		//Array.from(Slick.find(document.id('summaryBar'), 'div.clearFix.summary')).each(function(el){el.dispose()});

		//var statusBar = new Element('div', {'class': 'clearFix summary', 'id':'statusBar'});
		//this.contentDiv = new Element('div');

		//statusBar.adopt(this.contentDiv);
		//document.id('summaryBar').adopt(statusBar);
	},
	OnLoad: function()
	{
	},
	Reset: function()
	{
		document.id('summaryBarContent').getChildren().each(function(el){
			if(el.id != 'summaryBarTitle')
			{
				el.dispose();
			}
			else
			{
				el.set('text', '')
			}
		});
		//this.contentDiv.empty();
	},
	AddSeparator: function()
	{
		document.id('summaryBarContent').adopt(new Element('span', {'class': 'divider', 'text': '|'}));
	},
	ShowTitle: function()
	{
	},
	AddElement : function (el)
	{
		this.AddSeparator();

		if(typeOf(el) == 'element')
		{
			document.id('summaryBarContent').adopt(el);
		}
		else
		{
			document.id('summaryBarContent').set('html', document.id('summaryBarContent').get('html') + String.from(el));
		}
	},

	GetTitleVars: function()
	{
		return {};
	},
	Incline: function(number, words)
	{
		var decCases = [2, 0, 1, 1, 1, 2];
		return words[number % 100 > 4 && number % 100 < 20 ? 2 : decCases[Math.min(number % 10, 5)]];
	},
	ReplaceTitleVars: function(vars)
	{
		var total = this.totalItems >0 ? this.totalItems : 'нет';

		var titleVars = Object.merge(vars, {total: total, item: this.Incline(this.totalItems, this.itemsWords)});
		document.id('summaryBarTitle').set('text', this.titleTemplate.substitute(titleVars));
	}
});